import request from '@/utils/request'
// 获取球杆列表
export function getStickList (params) {
  return request({
    url: '/tmerclub_local/admin/cueProduct/page',
    method: 'get',
    params
  })
};
// 根据id获取球杆详情
export function getStickDetail (params) {
  return request({
    url: '/tmerclub_local/admin/cueProduct',
    method: 'get',
    params
  })
};
// 新增球杆
export function addStick (data) {
  return request({
    url: '/tmerclub_local/admin/cueProduct',
    method: 'post',
    data
  })
};
// 修改球杆
export function updateStick (data) {
  return request({
    url: '/tmerclub_local/admin/cueProduct',
    method: 'put',
    data
  })
};
// 删除球杆
export function deleteStick (params) {
  return request({
    url: '/tmerclub_local/admin/cueProduct',
    method: 'delete',
    params
  })
};
// 获取球杆品牌
export function getStickBrand (params) {
  return request({
    url: '/tmerclub_local/admin/cueBrand/page',
    method: 'get',
    params
  })
};
// 获取球杆品牌详情
export function getStickBrandDetail (params) {
  return request({
    url: '/tmerclub_local/admin/cueBrand',
    method: 'get',
    params
  })
}

// 新增球杆品牌
export function addStickBrand (data) {
  return request({
    url: '/tmerclub_local/admin/cueBrand',
    method: 'post',
    data
  })
};
// 修改球杆品牌
export function updateStickBrand (data) {
  return request({
    url: '/tmerclub_local/admin/cueBrand',
    method: 'put',
    data
  })
}

// 删除球杆品牌
export function deleteStickBrand (params) {
  return request({
    url: '/tmerclub_local/admin/cueBrand',
    method: 'delete',
    params
  })
}
// 获取球杆类型
export function getStickType (params) {
  return request({
    url: '/tmerclub_local/admin/cueType/page',
    method: 'get',
    params
  })
}
// 获取球杆类型详情
export function getStickTypeDetail (params) {
  return request({
    url: '/tmerclub_local/admin/cueType',
    method: 'get',
    params
  })
}
// 新增球杆类型
export function addStickType (data) {
  return request({
    url: '/tmerclub_local/admin/cueType',
    method: 'post',
    data
  })
};
// 修改球杆类型
export function updateStickType (data) {
  return request({
    url: '/tmerclub_local/admin/cueType',
    method: 'put',
    data
  })
};
// 删除球杆类型
export function deleteStickType (params) {
  return request({
    url: '/tmerclub_local/admin/cueType',
    method: 'delete',
    params
  })
}

// 获取球杆系列
export function getStickSeries (params) {
  return request({
    url: '/tmerclub_local/admin/cueSeries/page',
    method: 'get',
    params
  })
}
// 获取球杆xi'lie详情
export function getStickSeriesDetail (params) {
  return request({
    url: '/tmerclub_local/admin/cueSeries',
    method: 'get',
    params
  })
}
// 新增球杆系列
export function addStickSeries (data) {
  return request({
    url: '/tmerclub_local/admin/cueSeries',
    method: 'post',
    data
  })
};
// 修改球杆系列
export function updateStickSeries (data) {
  return request({
    url: '/tmerclub_local/admin/cueSeries',
    method: 'put',
    data
  })
};
// 删除球杆系列
export function deleteStickSeries (params) {
  return request({
    url: '/tmerclub_local/admin/cueSeries',
    method: 'delete',
    params
  })
}
// 获取球杆缺陷
export function getStickDefect (params) {
  return request({
    url: '/tmerclub_local/admin/cueFlaw/page',
    method: 'get',
    params
  })
}
// 获取球杆缺陷详情
export function getStickDefectDetail (params) {
  return request({
    url: '/tmerclub_local/admin/cueFlaw',
    method: 'get',
    params
  })
}
// 新增球杆缺陷
export function addStickDefect (data) {
  return request({
    url: '/tmerclub_local/admin/cueFlaw',
    method: 'post',
    data
  })
};
// 修改球杆缺陷
export function updateStickDefect (data) {
  return request({
    url: '/tmerclub_local/admin/cueFlaw',
    method: 'put',
    data
  })
};
// 删除球杆缺陷
export function deleteStickDefect (params) {
  return request({
    url: '/tmerclub_local/admin/cueFlaw',
    method: 'delete',
    params
  })
}
